apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "spring-demo-k8s.fullname" . }}-test-actuator-health"
  labels:
    {{- include "spring-demo-k8s.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test
    "helm.sh/hook-delete-policy": hook-succeeded
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "spring-demo-k8s.fullname" . }}:{{ .Values.service.port }}/actuator/health']
  restartPolicy: Never
